%define name helptool
%define version 2.4
%define release 11mdk


Summary: A graphical user interface tool which searches for help files.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Text tools
Source: helptool-2.4.tar.bz2
Patch0: helptool-2.4-nobr.patch.bz2
Patch1: helptool-2.4-recurse.patch.bz2
Patch2: heltool-2.4-browser.patch.bz2
Requires: tcl tk perl grep gzip
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description
The helptool provides a unified graphical user interface for searching
through many of the help sources available (including man pages and GNU
texinfo documents).

Install helptool if you'd like to use it to search for help files.
You'll need to have the X Window System installed to use the helptool.

%prep
%setup -q
%patch0 -p1 -b .nobr
%patch1 -p1 -b .recurse
%patch2 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLBIN="install -m755" INSTALLDATA="install -m644" \
	install


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/rhs/control-panel/*
%config /etc/X11/wmconfig/helptool

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4-11mdk
- fix group
- fix files section

* Mon Feb 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4-10mdk
- Try to launch lynx for browser (Tom).

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- make it recurse in /usr/doc

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- can't have paths in wmconfig files

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>
- fixed icon filename in fstool.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- xpm icon and wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Fri Apr 18 1997 Michael K. Johnson <johnsonm@redhat.com>
- helptool 2.3:
-   Fixed broken catch statement
-   Added perl requirement for helpme
